## sunclock 3.50pre1

=== tools/Makefile ===
all:
	cc -Wall concat.c -o concat -lm

clean:
	rm -f core *.o *~ concat

## sunclock 3.53

=== Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.gFsreI>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.141 2003/03/19 01:49:23 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.81 2003/02/18 16:51:45 tsi Exp $

# Keep cpp from replacing path elements containing i486/i586/i686

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.182 2002/10/11 01:40:22 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.201 2003/02/17 17:07:32 dawes Exp $

# operating system:  Linux 2.4.24-mg1 i686 [ELF] (2.4.24)
# libc:	(6.3.2)
# binutils:	(214)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.44 2002/11/18 22:47:25 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.439 2003/02/26 20:07:59 dawes Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 | sed -e 's/ /./g' -e 's/^/Version /'`

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34 2001/07/19 02:22:44 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.25 2002/02/27 00:51:12 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.114 2003/03/19 01:49:23 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR = /usr/include/glide

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.4

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.4

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = RmanCmd
     RMANBASENAME = rman
      RMANOPTIONS = RmanOptions
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSECT)
    SYSCALLMANDIR = $(MANSOURCEPATH)$(SYSCALLMANSECT)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSECT)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSECT)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSECT)
       GAMEMANDIR = $(MANSOURCEPATH)$(GAMEMANSECT)
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSECT)
        ADMMANDIR = $(MANSOURCEPATH)$(ADMMANSECT)
          ICONDIR = /usr/X11R6/lib/X11/icons
      XCURSORPATH = ~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS =

               CC = gcc -m32 -d
               AS = gcc -m32 -c -x assembler

.SUFFIXES: .cc

              CXX = c++ -m32

          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -g -O2
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip

              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
           RAWCPP = /usr/bin/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -m32 -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -m32 -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =

          MANSECT = 1
   SYSCALLMANSECT = 2
       LIBMANSECT = 3
    DRIVERMANSECT = 4
      FILEMANSECT = 5
      GAMEMANSECT = 6
      MISCMANSECT = 7
       ADMMANSECT = 8
       MANSRCSECT = s
       MANNEWSECT = n
 PROJECTMANSUFFIX = x
        MANSUFFIX = $(MANSECT)$(PROJECTMANSUFFIX)
 SYSCALLMANSUFFIX = $(SYSCALLMANSECT)$(PROJECTMANSUFFIX)
     LIBMANSUFFIX = $(LIBMANSECT)$(PROJECTMANSUFFIX)
  DRIVERMANSUFFIX = $(DRIVERMANSECT)$(PROJECTMANSUFFIX)
    FILEMANSUFFIX = $(FILEMANSECT)$(PROJECTMANSUFFIX)
    GAMEMANSUFFIX = $(GAMEMANSECT)$(PROJECTMANSUFFIX)
    MISCMANSUFFIX = $(MISCMANSECT)$(PROJECTMANSUFFIX)
     ADMMANSUFFIX = $(ADMMANSECT)$(PROJECTMANSUFFIX)
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__mansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) -D__osmansuffix__=$(MANSECT) -D__syscallmansuffix__=$(SYSCALLMANSECT)$(PROJECTMANSUFFIX) -D__ossysmansuffix__=$(SYSCALLMANSECT) -D__libmansuffix__=$(LIBMANSECT)$(PROJECTMANSUFFIX) -D__oslibmansuffix__=$(LIBMANSECT) -D__drivermansuffix__=$(DRIVERMANSECT)$(PROJECTMANSUFFIX) -D__osdrivermansuffix__=$(DRIVERMANSECT) -D__filemansuffix__=$(FILEMANSECT)$(PROJECTMANSUFFIX) -D__osfilemansuffix__=$(FILEMANSECT) -D__gamemansuffix__=$(GAMEMANSECT)$(PROJECTMANSUFFIX) -D__osgamemansuffix__=$(GAMEMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__admmansuffix__=$(ADMMANSECT)$(PROJECTMANSUFFIX) -D__osadmmansuffix__=$(ADMMANSECT) -D__projectroot__=$(PROJECTROOT) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         HTMLROFF = groff -Thtml

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc -m32

           MODCPP = /usr/bin/cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -m32 -c -x assembler
       MODASFLAGS =

            MODLD = gcc -m32 -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -g -O2
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR) $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.4
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.4
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES) 		    $(IMAKE_WARNINGS)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.6 2001/01/17 16:22:31 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.196.2.1 2003/03/27 11:43:07 alanh Exp $

XORGRELSTRING = Release 6.6
XORGMANNAME = X Version 11

VENDORMANNAME = XFree86
VENDORMANVERSION = `echo 4 3 0 | sed -e 's/ /./g' -e 's/^/Version /'`

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------

## sunclock 3.56

=== debian/changelog ===
sunclock (3.56-12) unstable; urgency=low

  * Support arch and noarch build targets correctly.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 14:58:55 +0100

sunclock (3.56-11) unstable; urgency=low

  * Fix installation rules.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 13:45:19 +0100

sunclock (3.56-10) unstable; urgency=low

  * Migrate from dpatch to 3.0 (quilt) format.
  * Reformat all patches.
  * Change build depenency from dpatch to debhelper (>= 7.0.50~).
  * Change debian/compat to "7".
  * Remove README.source.
  * Complete rewrite of debian/rules.
  * Prefix dirs, docs, menu with "sunclock." in debian directory.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Dec 2011 09:53:06 +0100

sunclock (3.56-9) unstable; urgency=low

  * Build-depends on libjpeg-dev instead of libjpeg62-dev (Closes: #644811).
  * Add build-arch and build-indep targets to debian/rules.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * 09_manpage_typo: use "allows one to" in man page (missing "one").

 -- Roland Rosenfeld <roland@debian.org>  Sun, 09 Oct 2011 18:28:12 +0200

sunclock (3.56-8) unstable; urgency=low

  * 03_remove_libXext: Now really link without libXext (Closes: #615905)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Feb 2011 23:44:44 +0100

sunclock (3.56-7) unstable; urgency=low

  * 03_remove_libXext: Replace $(XLIB) by -lX11 in LOCAL_LIBRARIES in
    Imakefile.  So libXext ist still removed while binutils-gold don't
    miss libX11 (Closes: #556476).
  * Remove editkit/Makefile on clean.
  * Set debian/source/format to 1.0.
  * Add debian/README.source.
  * Add ${misc:Depends} to sunclock and sunclock-maps packages.
  * Upgrade to Standards-Version 3.9.1:
    - sunclock-maps Breaks old sunclock version now instead of Conflicting
      with it
  * 09_manpage_typo: fix typo in man page: s/accomodate/accommodate/

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Feb 2011 22:33:13 +0100

sunclock (3.56-6) unstable; urgency=low

  * Change upstream homepage (Closes: #489016)
  * Point on GPL-2 in copyright.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 15 Feb 2009 14:43:11 +0100

sunclock (3.56-5) unstable; urgency=low

  * Build-Depends on xutils-dev instead of xutils, because imake was moved
    (Closes: #485218)
  * Upgrade to Standards-Version 3.8.0:
    - Fix Homepage header in control file.
  * 08_manpage_hyphen.dpatch: Fix hyphen used as minus sign in man page.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Jun 2008 11:46:24 +0200

sunclock (3.56-4) unstable; urgency=low

  * Migrate all patches to dpatch mechanism.
  * 06_CET-1CDT: Fix timezones for Budapest, Warsaw, Bratislava and the
    Torun Radiotelescope from CET-2CDT to CET-1CDT (Closes: #438761).
  * 07_zlib_largefile_workaround: Workaround for zlib.h bug, which
    requires _LARGEFILE64_SOURCE if _FILE_OFFSET_BITS is set to 64
    (see #439980) (Closes: #438924).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 09 Sep 2007 15:41:54 +0200

sunclock (3.56-3) unstable; urgency=low

  * Do not strip emx in Imakefile install (Closes: #438076).
  * Check existence of Makefile instead of avoiding output of make clean.
  * menu: move from Apps/Tools to Applications/Science/Geoscience.
  
 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Aug 2007 14:21:56 +0200

sunclock (3.56-2) unstable; urgency=low

  * Update debian/watch file.
  * Update debian/copyright.
  * Remove $(XLIB) from LOCAL_LIBRARIES in Imakefiles. This removes
    unnecessary libXext from binaries.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Sep 2006 10:50:42 +0200

sunclock (3.56-1) unstable; urgency=low

  * New upstream version 3.56.
  * Avoid compressing MANUAL.emx, because this has to be opened by emx.
  * Upgrade to debhelper v5.
  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Install emx to /usr/lib/sunclock and fix all references to this.

 -- Roland Rosenfeld <roland@debian.org>  Sun,  2 Jul 2006 14:20:54 +0200

sunclock (3.54.1-1) unstable; urgency=low

  * New upstream version 3.54.1.
  * Again install the emx shared libraries to /usr/share/sunclock/emx
    instead of /usr/share/editkit.
  * Ged rid of circular dependeny between sunclock and sunclock-maps.
    sunclock-maps now conflicts with the old version of sunclock, which it
    was split off, to avoid problems with files moving from one package to
    the other (Closes: #339927).
  * Replace Latin1 chars in man page by groff ASCII char names.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 Dec 2005 17:52:17 +0100

sunclock (3.54-2) unstable; urgency=low

  * Add debian/watch with current FTP server.
  * Correct URL in copyright file.
  * Stop build-depending on libselinux1-dev but compile with
    SELINUX_LIBS="" to work around the bug that xutils enables HasSELinux
    by default, while this program doesn't use it (Closes: #320606).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 31 Jul 2005 13:33:12 +0200

sunclock (3.54-1) unstable; urgency=low

  * New upstream version 3.54.
    - Corrects a segmentation fault (Closes: #315462).
  * No longer depends on xterm because interal emx editor is now used.
  * Upgrade to Standards-Version 3.6.2:
    - Install emx (external editor for manual viewing) into
      /usr/lib/sunclock (instead of /usr/bin).
  * Add build depenency on libselinux1-dev until xutils is fixed to build
    packages without HasSELinux again :-(

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jul 2005 13:40:02 +0200

sunclock (3.53-1) unstable; urgency=low

  * New upstream version 3.53.

 -- Roland Rosenfeld <roland@debian.org>  Thu,  3 Feb 2005 16:54:28 +0100

sunclock (3.52-2) unstable; urgency=low

  * sunclock-maps now Replaces sunclock (<< 3.50pre1-3), because older
    versions of sunclock contained files, which are now in sunclock-maps.
    (Closes: #278169)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 25 Oct 2004 20:06:09 +0200

sunclock (3.52-1) unstable; urgency=low

  * New upstream version 3.52.



=== debian/control ===
Source: sunclock
Section: x11
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev, xutils-dev, 
 libjpeg-dev, zlib1g-dev, libpng12-dev
Homepage: http://www.arvernes.com/wiki/index.php/Sunclock

Package: sunclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunclock-maps
Suggests: imagemagick
Description: fancy clock showing time and geographical data
 sunclock is an X11 application that displays a map of the Earth and
 indicates the illuminated portion of the globe by drawing sunlit
 areas dark on light, night areas as light on dark.  In addition to
 providing local time for the default timezone, it also displays GMT
 time, legal and solar time of major cities, their latitude and
 longitude, and the mutual distances of arbitrary locations on Earth.
 Sunclock can display meridians, parallels, tropics and arctic
 circles.  It has builtin functions that accelerate the speed of time
 and show the evolution of seasons.

Package: sunclock-maps
Architecture: all
Depends: ${misc:Depends}
Breaks: sunclock (<< 3.50pre1-3)
Replaces: sunclock (<< 3.50pre1-3)
Description: sunclock vector graphic maps
 sunclock is an X11 application that displays a map of the Earth and
 indicates the illuminated portion of the globe by drawing sunlit
 areas dark on light, night areas as light on dark.  In addition to
 providing local time for the default timezone, it also displays GMT
 time, legal and solar time of major cities, their latitude and
 longitude, and the mutual distances of arbitrary locations on Earth.
 .
 This package contains the vector graphic earthmaps.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

INSTDIR=`pwd`/debian/sunclock
INSTMAPDIR=`pwd`/debian/sunclock-maps

%:
	dh  $@

override_dh_auto_configure:
	xmkmf

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(OPTIMIZE) -Wall -g" \
		XAPPLOADDIR=/etc/X11/app-defaults SELINUX_LIBS= \
		DOCDIR=/usr/share/doc/sunclock

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile Makefile.bak editkit/Makefile
	dh_clean


override_dh_auto_install:
	$(MAKE) install install.man DESTDIR=$(INSTDIR)/usr \
		BINDIR=/bin MANDIR=/share/man/man1 MANSUFFIX=1 \
		DOCDIR=/usr/share/doc/sunclock

# 	little hack to have Sunclockrc in /etc:
	mv $(INSTDIR)/usr/share/sunclock/Sunclockrc $(INSTDIR)/etc
	(cd $(INSTDIR)/usr/share/sunclock; ln -s /etc/Sunclockrc)

#	fix name of swedish i18n file:
	mv $(INSTDIR)/usr/share/sunclock/i18n/Sunclock.se \
	   $(INSTDIR)/usr/share/sunclock/i18n/Sunclock.sv

	for x in wm_icons/*.xpm; do \
		install -m644 $$x $(INSTDIR)/usr/share/pixmaps/; \
	done

#	move maps into sunclock-maps package
	if [ -d $(INSTMAPDIR)/usr/share/sunclock ]; then \
		mv $(INSTDIR)/usr/share/sunclock/earthmaps \
			$(INSTMAPDIR)/usr/share/sunclock; \
	else \
		rm -rf $(INSTDIR)/usr/share/sunclock/earthmaps; \
        fi

override_dh_installdocs:
	dh_installdocs
# 	install emx documentation
	mv $(INSTDIR)/usr/share/sunclock/editkit/README \
		$(INSTDIR)/usr/share/doc/sunclock/README.emx
	mv $(INSTDIR)/usr/share/sunclock/editkit/MANUAL.emacs \
		$(INSTDIR)/usr/share/doc/sunclock/MANUAL.emx
	install -m644 editkit/CHANGELOG \
		$(INSTDIR)/usr/share/doc/sunclock/changelog.emx
	rm -f $(INSTDIR)/usr/share/man/man1/emx.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_compress:
	dh_compress -XMANUAL.emx

## sunclock 3.57

=== editkit/Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
# $XdotOrg: util/cf/Imake.tmpl,v 1.17 2006/04/15 15:55:25 herrb Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.155 2003/12/24 18:58:41 dickey Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $XdotOrg: util/cf/Imake.cf,v 1.12 2005/11/08 06:33:24 jkj Exp $
# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.88 2003/12/16 21:30:21 herrb Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.186 2003/06/25 18:06:22 eich Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# $XdotOrg: util/cf/linux.cf,v 1.31 2005/10/21 19:10:27 ajax Exp $
# platform:  $Xorg: linux.cf,v 1.3 2000/08/17 19:41:47 cpqbld Exp $

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.220 2003/12/30 22:38:33 tsi Exp $

# operating system:  Linux 2.6.26-1.slh.4-sidux-amd64 x86_64 [ELF] (2.6.26)
# libc:	(6.7.0)
# binutils:	(218)

# $Xorg: lnxLib.rules,v 1.3 2000/08/17 19:41:47 cpqbld Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.52 2003/10/31 20:49:03 herrb Exp $

# $XdotOrg: util/cf/xorg.cf,v 1.53 2005/10/03 16:08:44 alanc Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

XORG_VERSION_CURRENT = (((6) * 10000000) + ((9) * 100000) + ((0) * 1000) + 0)
RELEASE_VERSION = RELEASE-1

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
     XFREE86PDFDOCDIR = $(DOCPDFDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34tsi Exp $

   SELINUX_LDFLAGS =

   SELINUX_INCLUDES = -I/usr/include/selinux

   SELINUX_CFLAGS =  -DHAVE_SELINUX

   SELINUX_LIBS = -lselinux

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
# rules:  $XdotOrg: util/cf/Imake.rules,v 1.11 2005/11/08 06:33:24 jkj Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.128 2003/11/15 03:25:17 dawes Exp $

.PHONY: all interfaces install install.man install.lib install.sdk 	depend includes cleandir

 _NULLCMD_ = @ echo -n

X_BYTE_ORDER = X_LITTLE_ENDIAN

GLIDE2INCDIR =

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME = tk8.4

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.4

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = /usr/bin/rman
     RMANBASENAME = rman
      RMANOPTIONS =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/include
        USRLIBDIR = /usr/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSECT)
    SYSCALLMANDIR = $(MANSOURCEPATH)$(SYSCALLMANSECT)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSECT)
     DRIVERMANDIR = $(MANSOURCEPATH)4
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSECT)
       GAMEMANDIR = $(MANSOURCEPATH)$(GAMEMANSECT)
       MISCMANDIR = $(MANSOURCEPATH)7
        ADMMANDIR = $(MANSOURCEPATH)$(ADMMANSECT)
	  ICONDIR = "/usr/share/icons"
      XCURSORPATH = "~/.icons:/usr/share/icons:/usr/share/pixmaps"
     DRIVERMANDIR = $(MANSOURCEPATH)4
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = $(VARDIR)/lib

               AR = ar clq

# Nice try but useless: make will inherit BOOTSTRAPCFLAGS
# from  top Makefile
  BOOTSTRAPCFLAGS =

               CC = gcc
               AS = gcc -c -x assembler

.SUFFIXES: .cc

              CXX = c++

          CXXFILT = c++filt

           CXXLIB = -lstdc++

    CXXDEBUGFLAGS = -g -O2 -fno-strict-aliasing
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip

              CPP = cpp $(STD_CPP_DEFINES)
           RAWCPP = cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)

          INSTALL = install
     INSTALLFLAGS = -c

               LD = gcc -nostdlib

              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y

             LINT = lint

      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib

  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
     PERLENVSETUP = env LC_ALL=C

          MANSECT = 1
   SYSCALLMANSECT = 2
       LIBMANSECT = 3
    DRIVERMANSECT = 4
      FILEMANSECT = 5
      GAMEMANSECT = 6
      MISCMANSECT = 7
       ADMMANSECT = 8
       MANSRCSECT = s
       MANNEWSECT = n
 PROJECTMANSUFFIX = x
        MANSUFFIX = $(MANSECT)$(PROJECTMANSUFFIX)
 SYSCALLMANSUFFIX = $(SYSCALLMANSECT)$(PROJECTMANSUFFIX)
     LIBMANSUFFIX = $(LIBMANSECT)$(PROJECTMANSUFFIX)
  DRIVERMANSUFFIX = 4x
    FILEMANSUFFIX = $(FILEMANSECT)$(PROJECTMANSUFFIX)
    GAMEMANSUFFIX = $(GAMEMANSECT)$(PROJECTMANSUFFIX)
    MISCMANSUFFIX = 7x
     ADMMANSUFFIX = $(ADMMANSECT)$(PROJECTMANSUFFIX)
   ADMINMANSUFFIX = 8
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__filemansuffix__=$(FILEMANSECT)$(PROJECTMANSUFFIX) -D__osfilemansuffix__=$(FILEMANSECT) -D__libmansuffix__=$(LIBMANSECT)$(PROJECTMANSUFFIX) -D__oslibmansuffix__=$(LIBMANSECT) -D__mansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) -D__osmansuffix__=$(MANSECT) -D__syscallmansuffix__=$(SYSCALLMANSECT)$(PROJECTMANSUFFIX) -D__ossysmansuffix__=$(SYSCALLMANSECT) -D__gamemansuffix__=$(GAMEMANSECT)$(PROJECTMANSUFFIX) -D__osgamemansuffix__=$(GAMEMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__admmansuffix__=$(ADMMANSECT)$(PROJECTMANSUFFIX) -D__osadmmansuffix__=$(ADMMANSECT) -D__miscmansuffix__=$(MISCMANSECT)$(PROJECTMANSUFFIX) -D__osmiscmansuffix__=$(MISCMANSECT) -D__drivermansuffix__=$(DRIVERMANSECT)$(PROJECTMANSUFFIX) -D__osdrivermansuffix__=$(DRIVERMANSECT) -D__adminmansuffix__=$(ADMINMANSUFFIX) -D__projectroot__=$(PROJECTROOT) -D__xconfigfile__=$(XCONFIGFILE) -D__xconfigdir__=$(XCONFIGDIR) -D__xlogfile__=$(XLOGFILE) -D__xservername__=$(XSERVERNAME) -D__appmansuffix__=$(MANSECT)$(PROJECTMANSUFFIX) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff

         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b

            MODCC = gcc

           MODCPP = cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = gcc -c -x assembler
       MODASFLAGS =

            MODLD = gcc -nostdlib

       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq

        MODRANLIB = ranlib

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__amd64__ -D_POSIX_C_SOURCE=199309L 				-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE                                 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				  				 $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared $(SHLIBGLOBALSFLAGS)

         NOSTDLIB = -nostdlib
     POSTNOSTDLIB = -Wl,-Bstatic -lgcc -Wl,-Bdynamic

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr

      CDEBUGFLAGS = -g -O2 -fno-strict-aliasing
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB =  $(INSTALLED_LIBS)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =
   DEPEND_DEFINES =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include
        TKLIBNAME = tk8.4
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include
       TCLLIBNAME = tcl8.4
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   IMAKE_WARNINGS = -Wundef

         IRULESRC = $(CONFIGDIR)

=== tools/Makefile ===
all:
	cc -Wall concat.c -o concat -lm

cleandir: clean

clean:
	rm -f core *.o *~ concat

=== debian/changelog ===
sunclock (3.57-15) unstable; urgency=medium

  * Use "x-terminal-emulator -e man sunclock" instead of editkit to show
    help page (revert change introduced in upstream 3.54) to reduce attack
    surface.
    - This obsoletes the patches 01_emx_directory, 04_dont_strip_emx,
      13_emx_hardening, 17_pointer-to-int-cast, 24_xmkmf-fix,
      25_formatoverflow and parts of 23_gcc15.
    - 26_no_editkit reverts the editkit changes from 3.54.
  * Update to Standards-Version 4.7.2 (no changes).
  * Add debian/sunclock.lintian-overrides to override non-spelling error.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 28 Feb 2025 14:30:16 +0100

sunclock (3.57-14) unstable; urgency=medium

  * 23_gcc15: Add GCC 15 (C23 standard) compatibility (Closes: #1097948).
  * d/rules and 24_xmkmf-fix.patch: Replace -D_BSD_SOURCE -D_SVID_SOURCE
    with -D_DEFAULT_SOURCE  (as a workaround for #870836).
  * 25_formatoverflow: Avoid format-overflow using bigger buffer.
  * Update to Standards-Version 4.7.1 (no changes).
  * Update DEP-3 headers of most patches.
  * Install emx (man viewer) in /usr/libexec/sunclock (instead of lib),
    updating 01_emx_directory.patch.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 22 Feb 2025 14:53:54 +0100

sunclock (3.57-13) unstable; urgency=medium

  * Update to Standards-Version 4.6.2 (no changes).
  * debian/salsa-ci: disable crossbuild arm64, which fails.
  * d/u/metadata: Change Repository to one with unpacked files.
  * Make all patches gbp pq compatible.
  * 19_version: Update release date, too.
  * Add debian/gbp.conf.
  * Update debian/copyright with support by lrc.
  * Adapt debian/watch to github changes.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 14 Jan 2024 13:14:27 +0100

sunclock (3.57-12) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove constraints unnecessary since stretch:
    + sunclock-maps: Drop versioned constraint on sunclock in Replaces.
    + sunclock-maps: Drop versioned constraint on sunclock in Breaks.

  [ Roland Rosenfeld ]
  * Upgrade debhelper to v13.
  * Update to Standards-Version 4.6.1 (no changes).
  * Enable gzipped vcf files again (using 20_zlibpointer from OpenBSD)
    - Remove 12_disable_zlib.
  * 21_fix_time_t: Fix time data type (from OpenBSD).
  * 22_README_pl.utf-8: Convert README_pl from iso-8859-2 to utf-8.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 09 Dec 2022 17:05:44 +0100

sunclock (3.57-11) unstable; urgency=medium

  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * Define some tests as superficial
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * d/watch, d/copyright: Change upstream location, repair d/watch and
    update to version=4.
  * d/control: change Homepage to new existing source.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 27 Apr 2020 17:52:54 +0200

sunclock (3.57-10) unstable; urgency=medium

  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (Declare Rules-Requires-Root: no).
  * Upgrade debhelper to v12.
  * Add test of sunclock -version output.
  * 19_version: fix version number, since this is 3.57.
  * Add desktop-file-validate test.
  * Add buildlog to gitlab-ci test pipeline.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Jan 2019 12:38:20 +0100

sunclock (3.57-9) unstable; urgency=medium

  * Add Vcs-headers pointing to salsa.debian.org
  * Update debhelper to v11.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * 09_manpage_typo: Fix more typos.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 23 May 2018 19:21:57 +0200

sunclock (3.57-8) unstable; urgency=medium

  * Upgrade to Standards-Version 4.1.2
    - Change copyright URL to https.
  * Tag sunclock-maps Multi-Arch: foreign.
  * 16_implicit_declaration: avoid memcpy() implicit declaration warning.
  * 09_manpage_typo: fix another typo in "default".
  * Make DEP3 comments more gbp pq compatible.
  * 11_fix-str-fmt: Fix L_PERIODIC string handling.
  * 17_pointer-to-int-cast: Avoid "cast from pointer to integer of
    different size" warnings.
  * 18_init_hstrip: Initialize hstrip, otherwise clockgeom option may fail.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Dec 2017 21:25:18 +0100

sunclock (3.57-7) unstable; urgency=medium

  * Upgrade to Standards-Version 3.9.8, this requires:
  * Migrate from menu to desktop file.  Generate PNG icons using
    imagemagick.
  * Run wrap-and-sort.
  * debian/copyright is now machine readable.
  * Add Homepage to debian/control.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Sep 2016 16:03:53 +0200

sunclock (3.57-6) unstable; urgency=medium

  * 15_time.patch: do not define extern time() but use it from time.h.
    This should fix the build error on X32.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Nov 2015 17:51:52 +0100

sunclock (3.57-5) unstable; urgency=medium

  * Make arch and indep separate (Closes: #806113)
    This implies:
    - stop building in build-indep target
    - 14_donotinstall_vmf: do not install vmf files in install target.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 24 Nov 2015 18:13:19 +0100

sunclock (3.57-4) unstable; urgency=medium

  * Remove Homepage from control, since this is no longer available.
  * 09_manpage_typo: extend from "allows one to" to "allow one to".
  * Upgrade to Standards-Version 3.9.6 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 17 Aug 2015 19:47:52 +0200

sunclock (3.57-3) unstable; urgency=low

  * Upgrade debian/watch to new location.
  * Mention new upstream version in debian/copyright.
  * Enable hardening=+all
  * Upgrade to Standards-Version 3.9.5 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Apr 2014 19:55:02 +0200

sunclock (3.57-2) unstable; urgency=low

  * Depend on debhelper (>= 9) and use compat 9 to enable hardening.


=== debian/control ===
--- 
+++ 
@@ -2,14 +2,22 @@
 Section: x11
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev, xutils-dev, 
- libjpeg-dev, zlib1g-dev, libpng12-dev
-Homepage: http://www.arvernes.com/wiki/index.php/Sunclock
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               imagemagick,
+               libjpeg-dev,
+               libpng-dev,
+               libx11-dev,
+               libxpm-dev,
+               xutils-dev
+Homepage: https://github.com/nongiach/Sunclock
+Vcs-Git: https://salsa.debian.org/debian/sunclock.git
+Vcs-Browser: https://salsa.debian.org/debian/sunclock
+Rules-Requires-Root: no
 
 Package: sunclock
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, sunclock-maps
+Depends: sunclock-maps, ${misc:Depends}, ${shlibs:Depends}
 Suggests: imagemagick
 Description: fancy clock showing time and geographical data
  sunclock is an X11 application that displays a map of the Earth and
@@ -25,8 +33,7 @@
 Package: sunclock-maps
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: sunclock (<< 3.50pre1-3)
-Replaces: sunclock (<< 3.50pre1-3)
+Multi-Arch: foreign
 Description: sunclock vector graphic maps
  sunclock is an X11 application that displays a map of the Earth and
  indicates the illuminated portion of the globe by drawing sunlit

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR=`pwd`/debian/sunclock
INSTMAPDIR=`pwd`/debian/sunclock-maps

%:
	dh  $@

override_dh_auto_configure:
	xmkmf
	sed -i 's/-D_BSD_SOURCE -D_SVID_SOURCE/-D_DEFAULT_SOURCE/g' Makefile

override_dh_auto_build-arch:
	$(MAKE) CDEBUGFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)" \
		PROJECT_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
		XAPPLOADDIR=/etc/X11/app-defaults SELINUX_LIBS= \
		DOCDIR=/usr/share/doc/sunclock

override_dh_auto_build-indep:
# 	nothing to build on indep package.

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile Makefile.bak
	dh_clean


override_dh_auto_install-arch:
	$(MAKE) install install.man DESTDIR=$(INSTDIR)/usr \
		BINDIR=/bin MANDIR=/share/man/man1 MANSUFFIX=1 \
		DOCDIR=/usr/share/doc/sunclock

# 	little hack to have Sunclockrc in /etc:
	mv $(INSTDIR)/usr/share/sunclock/Sunclockrc $(INSTDIR)/etc
	(cd $(INSTDIR)/usr/share/sunclock; ln -s /etc/Sunclockrc)

	for x in wm_icons/*.xpm; do \
		install -m644 $$x $(INSTDIR)/usr/share/pixmaps/; \
	done
	for x in 16x16 22x22 32x32 48x48 64x64; do \
		convert wm_icons/sunclock2.xpm -geometry $$x \
		   $(INSTDIR)/usr/share/icons/hicolor/$$x/apps/sunclock.png; \
	done
	install -m644 debian/sunclock.desktop \
		$(INSTDIR)/usr/share/applications/sunclock.desktop

override_dh_auto_install-indep:
	install -m644 vmf/* $(INSTMAPDIR)/usr/share/sunclock/earthmaps/vmf/
	gzip -n9 $(INSTMAPDIR)/usr/share/sunclock/earthmaps/vmf/*.vmf

override_dh_installdocs-arch:
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/tests/control ===
Tests: version
Depends: sunclock
Restrictions: superficial

Tests: desktopfile
Depends: sunclock, desktop-file-utils
Restrictions: superficial

=== debian/watch ===
# See uscan(1) for format

version=4

opts="searchmode=plain, \
downloadurlmangle=s%Sunclock/%Sunclock/raw/master/%" \
https://github.com/nongiach/Sunclock/ \
sunclock-@ANY_VERSION@@ARCHIVE_EXT@
